# Looks ─────────────────────────────────────────────────────────────
set font                        "{{ monospace_font }} {{ font_size }}"

set default-bg                  "{{ colors.background }}"
set default-fg                  "{{ colors.white2 }}"
set statusbar-fg                "{{ colors.cyan }}"
set statusbar-bg                "{{ colors.grey1 }}"
set inputbar-bg                 "{{ colors.grey1 }}"
set inputbar-fg                 "{{ colors.yellow }}"
set index-bg                    "{{ colors.grey1 }}"
set index-fg                    "{{ colors.white2 }}"
set index-active-bg             "{{ colors.purple }}"
set index-active-fg             "{{ colors.white2 }}"
set notification-bg             "{{ colors.blue }}"
set notification-fg             "{{ colors.background }}"
set notification-warning-bg     "{{ colors.yellow }}"
set notification-warning-fg     "{{ colors.background }}"
set notification-error-bg       "{{ colors.red }}"
set notification-error-fg       "{{ colors.background }}"
set highlight-color             "{{ colors.yellow }}"
set highlight-active-color      "{{ colors.blue }}"
set completion-highlight-fg     "{{ colors.grey1 }}"
set completion-highlight-bg     "{{ colors.blue }}"
set completion-bg               "{{ colors.grey1 }}"
set completion-fg               "{{ colors.blue }}"

set recolor                     "true"
set recolor-keephue             "true"
set recolor-reverse-video       "false"
set recolor-darkcolor           "{{ colors.white2 }}"
set recolor-lightcolor          "{{ colors.background }}"

# Settings ─────────────────────────────────────────────────────────────
set render-loading              "false"
set guioptions                  "hvs"
set window-height               1024
set window-width                960
set adjust-open                 "width"
set scroll-page-aware           "true"
set scroll-step                 50
set scroll-full-overlap         0.01
set first-page-column           2
set pages-per-row               1
set window-title-basename       "true"
set database                    "sqlite"
set selection-clipboard         "clipboard"
set sandbox                     "normal"

# Bindings ─────────────────────────────────────────────────────────────
map [normal]     <PageUp>   navigate previous
map [fullscreen] <PageUp>   navigate previous
map [normal]     <PageDown> navigate next
map [fullscreen] <PageDown> navigate next

map [normal]     <A-1> set "first-page-column 1:1"
map [fullscreen] <A-1> set "first-page-column 1:1"
map [normal]     <A-2> set "first-page-column 1:2"
map [fullscreen] <A-2> set "first-page-column 1:2"

map [index] q quit
